/* 
  AK ESP8266 access point
*/

#include <ESP8266WiFi.h>

// تنظیمات ایپی مد نظر خودتان را در این قسمت ثبت کنید.
IPAddress local_IP(192,168,10,10);
IPAddress gateway(192,168,10,1);
IPAddress subnet(255,255,255,0);

// تنظیمات شبکه ی مد نظر خودتان را در این قسمت ثبت کنید.
const char *ssid = "ssid";
const char *password = "password";

void setup()
{
  Serial.begin(115200);
  Serial.println();
  
  // در حال ثبت تنظیمات ایپی
  Serial.print("Setting soft-AP configuration ... ");
  Serial.println(WiFi.softAPConfig(local_IP, gateway, subnet) ? "Ready" : "Failed!");

  // در حال ثبت تنظیمات شبکه
  Serial.print("Setting soft-AP ... ");
  Serial.println(WiFi.softAP(ssid,password) ? "Ready" : "Failed!");

  // نمایش ایپی برد
  Serial.print("Soft-AP IP address = ");
  Serial.println(WiFi.softAPIP());
}

void loop() {
}
